﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PrismDemo.Infrastructure;
using Microsoft.Practices.Prism.Events;

namespace PrismDemo.Modules.StatusBar.Views
{
    public class StatusBarViewModel : ViewModelBase
    {
        private string _message = "Ready";
        public string Message
        {
            get { return _message; }
            set
            {
                _message = value;
                NotifyPropertyChanged("Message");
            }
        }

        public StatusBarViewModel(IEventAggregator eventAggregator)
        {
            eventAggregator.GetEvent<PersonUpdatedEvent>().Subscribe(PersonUpdated);
        }

        private void PersonUpdated(string payload)
        {
            Message = String.Format("{0} was updated.", payload);
        }
    }
}
